#include <avr/io.h>
#include <inttypes.h>
#include <avr/interrupt.h> 

#define USART_UBRR_CALC(BAUD_,FREQ_) ((FREQ_)/((BAUD_)*16L)-1)

#define USART_BAUD_RATE 9600
#define USART_BUFFER_SIZE 32

#define USART_OK               0
#define USART_RXBUFFER_FULL    1
#define USART_TXBUFFER_FULL    2
#define USART_RXBUFFER_EMPTY   3
#define USART_TXBUFFER_EMPTY   4


uint8_t usart_init();
uint8_t usart_rawput(uint8_t);
uint8_t usart_rawget(uint8_t);
uint8_t usart_rawflush();

uint8_t usart_rxpush(uint8_t);
uint8_t usart_rxpop();
uint8_t usart_txpush(uint8_t);
uint8_t usart_txpop();

